Subject: Re: [Fot] Orlando

From: Tony Drews via Fot <[email-masked]>
Date: Thu, 05 Mar 2015 21:45:19 -0600

I stopped in Big Daddy Don Garlits Drag Racing Museum (I think that 
was the one) on the way back from FLA when purchasing my race car 
back in 2002.  Not sure how close it is to Orlando.  It was way more 
cool than I expected.

Tony Drews

At 08:18 PM 3/5/2015, Doug Mitchell via Fot wrote:
>Also not car related, check the Tigers schedule, Lakeland isn't far 
>from Orlando either. Will you be there very long? Indy cars run at 
>St. Pete the following weekend. That's where I am. Spending a week 
>at Sebring then hanging out for a few days before the St. Pete weekend.
>
>
>Cheers,
>Doug Mitchell
>[email-masked]
>Sent from my mobile phone
>
>
>-------- Original message --------
>From: marty via Fot <[email-masked]>
>Date: 03/05/2015 12:26 PM (GMT-05:00)
>To: FOT <[email-masked]>
>Subject: [Fot] Orlando
>
>
>Looks like I will be in Orlando for a few days starting March 23rd. 
>Any FOT'rs from around there have any recommendation for any neat 
>car related places to explore in that area?  I'll just miss Sebring :(
>
>I'm sure going to miss this Ohio weather!
>
>Marty
>_______________________________________________
>[email-masked]
>
>http://www.fot-racing.com
>
>Donate: http://www.team.net/donate.html
>Archive: http://www.team.net/archive
>Forums: http://www.team.net/forums
>Unsubscribe/Manage: 
>http://autox.team.net/mailman/options/fot/[email-masked]

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive